Skip to main content
GET
https://api.dintero.com/v1
/
accounts
/
{aid}
/
customers
/
users
/
{customer_id}
/
tokens
Token collections
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{aid}/customers/users/{customer_id}/tokens \
  --header 'Authorization: Bearer <token>'
[
  {
    "type": "sha1:email",
    "value": "a1b79ef1a62d94ffa86b3f3d846df0ee3993af92",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
    "deleted_at": "2023-11-07T05:31:56Z",
    "token_id": "<string>",
    "metadata": {
      "exp_month": 10,
      "exp_year": 20,
      "mask_pan": "**** **** **** 3477"
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9
customer_id
string
required

The customer id you have defined for the customer. (must not have trailing or leading spaces)

Maximum string length: 255

Query Parameters

type
string

filter tokens on type

limit
integer
default:10

A limit on the number of objects to be returned. Limit can range between 1 and 100 items, and the default is 10 items.

Required range: 1 <= x <= 100
starting_after
string

cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, end the result contains paging_token=pt1, your subsequent call can include starting_after=pt1 in order to fetch the next page of the list.

total
boolean
default:false

include total-count header in the response

include_deleted
boolean
default:true

include deleted tokens in the response.

Response

Token collection

type
string
required

identifies how or who is resposible for the token value

Minimum string length: 1
Example:

"sha1:email"

value
string
required
Minimum string length: 1
Example:

"a1b79ef1a62d94ffa86b3f3d846df0ee3993af92"

id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
token_id
string
read-only

The token id you have defined for the token. (must not have trailing or leading spaces)

Required string length: 1 - 255
metadata
object

Additional metadata about the token or the entity the token was created from

Example:
{
"exp_month": 10,
"exp_year": 20,
"mask_pan": "**** **** **** 3477"
}